Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-4278

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2007-4278
Last Modified 07 Mar 2011 12:00:00
Published 15 Aug 2007 06:17:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2007-4278

Summary

Stack-based buffer overflow in the giomgr process in ESRI ArcSDE service 9.2, as used with ArcGIS, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a large number that requires more than 8 bytes to represent in ASCII, which triggers the overflow in an sprintf function call.

Vulnerable Systems

Application

  • Esri Arcgis


References

XF - esri-arcsde-numeric-bo(36042)

VUPEN - ADV-2007-2911

BID - 25334

SECTRACK - 1018574

SECUNIA - 26452

IDEFENSE - 20070815 ESRI ArcSDE Numeric Literal Buffer Overflow Vulnerability

CONFIRM - http://downloads.esri.com/support/downloads/other_/ArcSDE-92sp3-issues.htm


Last Updated: 27 May 2016 10:45:49